Skip to main content
GET
cURL
Lists the deals of the workspace, most recently opened first by default.

Authorizations

X-Claap-Key
string
header
required

Query Parameters

closedAfter
string

Discard deals closed before specified time.

closedBefore
string

Discard deals closed after specified time.

cursor
string

Paginate the results starting at the cursor returned by a previous call.

limit
number
default:20

Return at most "limit" results.

Required range: 1 <= x <= 100
maxAmount
number

Discard deals which amount is greater than specified value.

minAmount
number

Discard deals which amount is lower than specified value.

openedAfter
string

Discard deals opened before specified time.

openedBefore
string

Discard deals opened after specified time.

sort
enum<string>

Sort results according to specified rule. Defaults to the sorting of "viewId" when set, "opened_desc" otherwise.

Available options:
amount_asc,
amount_desc,
closed_asc,
closed_desc,
deal_age_asc,
deal_age_desc,
last_interaction_asc,
last_interaction_desc,
opened_asc,
opened_desc
stage
string

Discard deals which stage does not contain specified text.

title
string

Discard deals which title does not contain specified text.

viewId
string

Return the deals of the specified view: its filters and sorting apply, other query parameters narrow the results down within the view, and the sort parameter overrides the view sorting. Use GET /v1/deals/views to discover views.

Response

Deals were successfully retrieved

result
object
required